# Backend

Ceci est un serveur backend, basé sur axum, et permettant d'offrir une gestion centralisée des accès aux données.

## Prérequis

En développement, le mécanisme de hot-reload nécessite de disposer de `cargo-watch` et `systemfd`. Pour les installer, exécutez la commande suivante :

```bash
cargo install cargo-watch systemfd
```

## Configuration

> Astuce : lorsqu'on exécute directement la crate `backend` à des fins de développement, le système de configuration n'utilisera pas l'éventuel fichier `.env` situé à la racine du workspace Rust. Pour éviter de dupliquer le fichier `.env`, il est possible de créer un lien symbolique vers le fichier `.env` de la crate `backend` :

```bash
cd crates/backend
ln -s ../../.env .env
```

## Développement

Pour lancer le serveur en mode développement, exécutez la commande suivante :

```bash
systemfd --no-pid -s http::8080 -- cargo watch -w crates/backend -x 'run --bin backend'
```
